View Issue Details

IDProjectCategoryView StatusLast Update
0001742ScribusGeneralpublic2005-11-05 12:35
ReporterTomK32 Assigned Tocbradney  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version1.3.2cvs 
Summary0001742: Let page numbered 1 be after document page 1
DescriptionRight now only positive page numbers are allowed by the gui (but changing the XML does the trick).

It would be good to let the page numbered "1" be a page later than page 1 of the document. Supporting roman numerals for earlier pages, and supporting multiple page number ranges, would also be good.
TagsNo tags attached.
Patch

Relationships

related to 0002778 closedcbradney Implement section numbering 

Activities

ringerc

2005-03-02 11:30

reporter   ~0003850

I'll freely confess to being really confused as to were one might need negative page numbers. I would consider limiting page numbers to positive integers in the GUI a feature, and accepting negative numbers in the XML a fault with the input validation personally.

Issue History

Date Modified Username Field Change
2005-03-02 09:05 TomK32 New Issue
2005-03-02 11:30 ringerc Note Added: 0003850
2005-03-02 12:09 ringerc Summary negative page numbers start => Let page numbered 1 be after document page 1
2005-03-02 12:09 ringerc Description Updated
2005-11-01 01:10 cbradney Status new => assigned
2005-11-01 01:10 cbradney Assigned To => cbradney
2005-11-01 01:10 cbradney Relationship added related to 0002778
2005-11-01 01:10 cbradney Status assigned => resolved
2005-11-01 01:10 cbradney Fixed in Version => 1.3.2cvs
2005-11-01 01:10 cbradney Resolution open => fixed
2005-11-05 12:35 cbradney Status resolved => closed